
Name: dstool_tk
Version: 0.2003
Release: alt0.M24.1
Summary: DSTool - a dynamical systems toolkit
License: GPL-like
Group: Sciences/Mathematics
Url: http://www.geom.uiuc.edu/software/dstool

#Source: http://www.cam.cornell.edu/~gucken/dstool/Version_tk/%name.tar.gz
Source: http://www.enm.bris.ac.uk/staff/hinke/dss/ode/dstool_tk-redhat8.0.tar.gz
Source1: %{name}_16.xpm
Source2: %{name}_32.xpm
Source3: %{name}_48.xpm
Source4: %{name}
Patch0: dstooltk_2.0-4-debian-dir.patch
Patch1: dstooltk_2.0-4-debian-misc.patch
Patch2: dstool_tk-redhat8.0-remove-hack-systimes.diff
Patch3: dstool_tk-debian-systimes.patch
Requires: geomview tcl tk

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: XFree86-devel XFree86-utils tcl-devel tk-devel

%description
DsTool - A Dynamical Systems Toolkit.
This software is very useful in the visual study of nonlinear systems and Chaos, as well as finding numerical solutions to differential equations. It has the ability to plot flows and maps in both 2D & 3D phase space (for 3D install Geomview @ http://www.geomview.com). One can also define Poincare surfaces & plot bifurcation diagrams. A number of prebuilt models are included for study - e.g. Lorenz System.


%prep
#setup -q -c -n %name
%setup -q -n %name
%patch0 -p1
# patch don't work; it seems that patch3 is useless too
#%patch2 -p1
%patch3 -p1

%build
DSTOOL=$PWD
ARCH=linux
export ARCH DSTOOL
#make World
make depend
make all

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/%name/src
%__cp -r oogl help site_specific tcl bin $RPM_BUILD_ROOT%_datadir/%name/

### see README for details; it claims to require them
%__cp -r src/models $RPM_BUILD_ROOT%_datadir/%name/src
mkdir -p $RPM_BUILD_ROOT%_bindir
%__install -m 755 bin/dstool_tk $RPM_BUILD_ROOT%_bindir/
%__sed -e 's!/u/pkg/dstool_tk}!%_datadir/%name} ${ARCH=linux} ${GEOMVIEW=/usr/bin/geomview}!' bin/dstool_tk > $RPM_BUILD_ROOT%_bindir/dstool_tk
%__install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%{name}.xpm
%__install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%{name}.xpm
%__install -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%{name}.xpm
%__install -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_menudir/%{name}

%__install -m644 -D debian/dstooltk.1 $RPM_BUILD_ROOT%_man1dir/%{name}.1

%post
%update_menus

%postun
%clean_menus

%files
%doc README INSTALL VERSION changes
%_bindir/dstool_tk
%_datadir/%name
%_miconsdir/%{name}.xpm
%_iconsdir/%{name}.xpm
%_liconsdir/%{name}.xpm
%_menudir/%{name}
%_man1dir/dstool*

%changelog
* Thu Feb 09 2006 Igor Vlasenko <viy@altlinux.ru> 0.2003-alt0.M24.1
- backport to M24

* Thu Feb 09 2006 Igor Vlasenko <viy@altlinux.ru> 0.2003-alt1
- new version, based on build of Hinke Osinga;
- fixed print bug;
- fixed geomview interaction bug

* Thu Jul 28 2005 Igor Vlasenko <viy@altlinux.org> 0.1998-alt0.5
- added require: tk

* Tue Mar 29 2005 Igor Vlasenko <viy@altlinux.ru> 0.1998-alt0.4
- first build for AltLinux
